Package com.independentsoft.office.spreadsheet.pivotTables

# Class PivotArea

java.lang.Object
com.independentsoft.office.spreadsheet.pivotTables.PivotArea

public class PivotArea extends Object
The Class PivotArea.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PivotArea()`
  Instantiates a new pivot area.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PivotArea`
  `clone()`
  `PivotTableAxis`
  `getAxis()`
  Gets the axis.
  `int`
  `getFieldIndex()`
  Gets the field index.
  `int`
  `getFieldPosition()`
  Gets the field position.
  `List<PivotAreaReference>`
  `getReferences()`
  Gets the references.
  `PivotAreaType`
  `getType()`
  Gets the type.
  `boolean`
  `isCacheIndex()`
  Checks if is cache index.
  `boolean`
  `isCollapsedLevelsAreSubtotals()`
  Checks if is collapsed levels are subtotals.
  `boolean`
  `isDataOnly()`
  Checks if is data only.
  `boolean`
  `isIncludeColumnGrandTotal()`
  Checks if is include column grand total.
  `boolean`
  `isIncludeRowGrandTotal()`
  Checks if is include row grand total.
  `boolean`
  `isLabelsOnly()`
  Checks if is labels only.
  `boolean`
  `isOutline()`
  Checks if is outline.
  `void`
  `setAxis​(PivotTableAxis axis)`
  Sets the axis.
  `void`
  `setCacheIndex​(boolean isCacheIndex)`
  Sets the cache index.
  `void`
  `setCollapsedLevelsAreSubtotals​(boolean collapsedLevelsAreSubtotals)`
  Sets the collapsed levels are subtotals.
  `void`
  `setDataOnly​(boolean dataOnly)`
  Sets the data only.
  `void`
  `setFieldIndex​(int fieldIndex)`
  Sets the field index.
  `void`
  `setFieldPosition​(int fieldPosition)`
  Sets the field position.
  `void`
  `setIncludeColumnGrandTotal​(boolean includeColumnGrandTotal)`
  Sets the include column grand total.
  `void`
  `setIncludeRowGrandTotal​(boolean includeRowGrandTotal)`
  Sets the include row grand total.
  `void`
  `setLabelsOnly​(boolean labelsOnly)`
  Sets the labels only.
  `void`
  `setOutline​(boolean outline)`
  Sets the outline.
  `void`
  `setType​(PivotAreaType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PivotArea

    public PivotArea()
    Instantiates a new pivot area.

- ## Method Details

  - ### clone

    public PivotArea clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getReferences

    public List<PivotAreaReference> getReferences()
    Gets the references.
    Returns:
      the references

  - ### getAxis

    public PivotTableAxis getAxis()
    Gets the axis.
    Returns:
      the axis

  - ### setAxis

    public void setAxis​(PivotTableAxis axis)
    Sets the axis.
    Parameters:
      `axis` - the new axis

  - ### isCacheIndex

    public boolean isCacheIndex()
    Checks if is cache index.
    Returns:
      true, if is cache index

  - ### setCacheIndex

    public void setCacheIndex​(boolean isCacheIndex)
    Sets the cache index.
    Parameters:
      `isCacheIndex` - the new cache index

  - ### isCollapsedLevelsAreSubtotals

    public boolean isCollapsedLevelsAreSubtotals()
    Checks if is collapsed levels are subtotals.
    Returns:
      true, if is collapsed levels are subtotals

  - ### setCollapsedLevelsAreSubtotals

    public void setCollapsedLevelsAreSubtotals​(boolean collapsedLevelsAreSubtotals)
    Sets the collapsed levels are subtotals.
    Parameters:
      `collapsedLevelsAreSubtotals` - the new collapsed levels are subtotals

  - ### isDataOnly

    public boolean isDataOnly()
    Checks if is data only.
    Returns:
      true, if is data only

  - ### setDataOnly

    public void setDataOnly​(boolean dataOnly)
    Sets the data only.
    Parameters:
      `dataOnly` - the new data only

  - ### getFieldIndex

    public int getFieldIndex()
    Gets the field index.
    Returns:
      the field index

  - ### setFieldIndex

    public void setFieldIndex​(int fieldIndex)
    Sets the field index.
    Parameters:
      `fieldIndex` - the new field index

  - ### getFieldPosition

    public int getFieldPosition()
    Gets the field position.
    Returns:
      the field position

  - ### setFieldPosition

    public void setFieldPosition​(int fieldPosition)
    Sets the field position.
    Parameters:
      `fieldPosition` - the new field position

  - ### isIncludeColumnGrandTotal

    public boolean isIncludeColumnGrandTotal()
    Checks if is include column grand total.
    Returns:
      true, if is include column grand total

  - ### setIncludeColumnGrandTotal

    public void setIncludeColumnGrandTotal​(boolean includeColumnGrandTotal)
    Sets the include column grand total.
    Parameters:
      `includeColumnGrandTotal` - the new include column grand total

  - ### isIncludeRowGrandTotal

    public boolean isIncludeRowGrandTotal()
    Checks if is include row grand total.
    Returns:
      true, if is include row grand total

  - ### setIncludeRowGrandTotal

    public void setIncludeRowGrandTotal​(boolean includeRowGrandTotal)
    Sets the include row grand total.
    Parameters:
      `includeRowGrandTotal` - the new include row grand total

  - ### isLabelsOnly

    public boolean isLabelsOnly()
    Checks if is labels only.
    Returns:
      true, if is labels only

  - ### setLabelsOnly

    public void setLabelsOnly​(boolean labelsOnly)
    Sets the labels only.
    Parameters:
      `labelsOnly` - the new labels only

  - ### isOutline

    public boolean isOutline()
    Checks if is outline.
    Returns:
      true, if is outline

  - ### setOutline

    public void setOutline​(boolean outline)
    Sets the outline.
    Parameters:
      `outline` - the new outline

  - ### getType

    public PivotAreaType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(PivotAreaType type)
    Sets the type.
    Parameters:
      `type` - the new type